org.eclipse.gef.common.collections

## Enum ListListenerHelperEx.ElementarySubChange.Kind

- java.lang.Object
- - java.lang.Enum<ListListenerHelperEx.ElementarySubChange.Kind>
  - - org.eclipse.gef.common.collections.ListListenerHelperEx.ElementarySubChange.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ListListenerHelperEx.ElementarySubChange.Kind>

Enclosing class:
  ListListenerHelperEx.ElementarySubChange<E>

    public static enum ListListenerHelperEx.ElementarySubChange.Kind
    extends java.lang.Enum<ListListenerHelperEx.ElementarySubChange.Kind>

The kind of change that is performed to the `ObservableList`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD` Addition of elements.
`PERMUTATE` Permutation of elements.
`REMOVE` Removal of elements.
`REPLACE` Replacement of elements.

### Method Summary

All Methods Static Methods Concrete Methods
`static ListListenerHelperEx.ElementarySubChange.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ListListenerHelperEx.ElementarySubChange.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD

    public static final ListListenerHelperEx.ElementarySubChange.Kind ADD

Addition of elements.

#### REMOVE

    public static final ListListenerHelperEx.ElementarySubChange.Kind REMOVE

Removal of elements.

#### REPLACE

    public static final ListListenerHelperEx.ElementarySubChange.Kind REPLACE

Replacement of elements.

#### PERMUTATE

    public static final ListListenerHelperEx.ElementarySubChange.Kind PERMUTATE

Permutation of elements.

### Method Detail

#### values

    public static ListListenerHelperEx.ElementarySubChange.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ListListenerHelperEx.ElementarySubChange.Kind c : ListListenerHelperEx.ElementarySubChange.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ListListenerHelperEx.ElementarySubChange.Kind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null